Bug 832492 - [RHEVM] [backend] [Template] [Hot plug NIC] Activate checkbox is not working for templates
[RHEVM] [backend] [Template] [Hot plug NIC] Activate checkbox is not working ...
Status: CLOSED DUPLICATE of bug 841219
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Asaf Shakarchi
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 10:29 EDT by Martin Pavlik
Modified: 2016-02-10 14:58 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 09:52:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log + engine.log (38.34 KB, application/x-gzip)
2012-06-15 10:29 EDT, Martin Pavlik
no flags Details
screenshot 1 (134.77 KB, image/png)
2012-06-15 10:30 EDT, Martin Pavlik
no flags Details
screenshot 2 (118.62 KB, image/png)
2012-06-15 10:31 EDT, Martin Pavlik
no flags Details
screenshot 3 (124.16 KB, image/png)
2012-06-15 10:31 EDT, Martin Pavlik
no flags Details
screenshot 4 (124.03 KB, image/png)
2012-06-15 10:31 EDT, Martin Pavlik
no flags Details
screenshot 5 (129.58 KB, image/png)
2012-06-15 10:32 EDT, Martin Pavlik
no flags Details
screenshot 6 (123.64 KB, image/png)
2012-06-15 10:32 EDT, Martin Pavlik
no flags Details
screenshot 7 (123.85 KB, image/png)
2012-06-15 10:32 EDT, Martin Pavlik
no flags Details
screenshot 8 (135.58 KB, image/png)
2012-06-15 10:33 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-06-15 10:29:02 EDT
Created attachment 592139 [details]
vdsm.log + engine.log

Description of problem: Hotplug State of NIC is not reflected/influenced by  Activate checkbox in Edit Network interface dialog.

Problem 1: Activate checkbox in Edit Network interface under Templates is always empty. It does not matter whether the original machine had interface active or not. (See screenshot 1,3,4)

Problem 2: After restore of template state of interfaces were switched. Active one was unplugged, passive one was plugged. (see screenshot5)

Problem 3: Template does not react on checking the activate checkbox on previously inactive interface. see (screenshot 7,8,9) 

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.1.0_0001-14.el6ev 

How reproducible:
100%

Steps to Reproduce:
1.Create VM with 2 interfaces (nic1 active, nic2 passive) (screenshot1)
2.Create template from VM
3.Go to Templates -> your template -> Network Interfaces -> active NIC ->Edit (screenshot 3)
3.Go to Templates -> your template -> Network Interfaces -> passive NIC ->Edit (screenshot 4)
4.Restore VM from template (screenshot 5)
5.Go to Templates -> your template -> Network Interfaces -> passive NIC ->Edit-> check Activate (screenshot 6)
6.Go to Templates -> your template -> Network Interfaces -> active NIC ->Edit-> check Activate (screenshot 7)
7.Restore VM from template (screenshot 8)

Actual results:
Hotplug State of NIC is not reflected/influenced by  Activate checkbox in Edit Network interface dialog.

Expected results:
Hotplug State of NIC is reflected/influenced by  Activate checkbox in Edit Network interface dialog.

Additional info:
engilne.log+vdsm.log attached
Comment 1 Martin Pavlik 2012-06-15 10:30:42 EDT
Created attachment 592140 [details]
screenshot 1
Comment 2 Martin Pavlik 2012-06-15 10:31:06 EDT
Created attachment 592141 [details]
screenshot 2
Comment 3 Martin Pavlik 2012-06-15 10:31:29 EDT
Created attachment 592142 [details]
screenshot 3
Comment 4 Martin Pavlik 2012-06-15 10:31:53 EDT
Created attachment 592143 [details]
screenshot 4
Comment 5 Martin Pavlik 2012-06-15 10:32:14 EDT
Created attachment 592144 [details]
screenshot 5
Comment 6 Martin Pavlik 2012-06-15 10:32:32 EDT
Created attachment 592145 [details]
screenshot 6
Comment 7 Martin Pavlik 2012-06-15 10:32:51 EDT
Created attachment 592146 [details]
screenshot 7
Comment 8 Martin Pavlik 2012-06-15 10:33:15 EDT
Created attachment 592147 [details]
screenshot 8
Comment 9 David Jaša 2012-07-31 03:58:34 EDT
*** Bug 802736 has been marked as a duplicate of this bug. ***
Comment 10 David Jaša 2012-07-31 04:12:44 EDT
(In reply to comment #9)
> *** Bug 802736 has been marked as a duplicate of this bug. ***

sorry for the noise, this is dupe of different bug
Comment 11 Alona Kaplan 2012-08-01 09:52:23 EDT

*** This bug has been marked as a duplicate of bug 841219 ***

Note You need to log in before you can comment on or make changes to this bug.